Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Class OVSManagerService

`java.lang.Object
oracle.ovs.api.OVSManagerService`

      public class OVSManagerService

extends java.lang.Object

general factory class,to get management instances

Constructor Summary
`OVSManagerService()`

Method Summary
`static LifecycleManagement` | `getLifecycleManagement()` get lifecycle manager
`static LogManagement` | `getLogManagement()` get Log Manageer
`static NeoResourceManagement` | `getNeoResourceManagement()` get new resource manager
`static PluginManagement` | `getPluginManagement()` get plugin management instance
`static ResourceManagement` | `getResourceManagement()` get resource manager
`static ServerPoolManagement` | `getServerPoolManagement()` get serverpool manager
`static VirtualMachineManagement` | `getVirtualMachineManagement()` get virtual machine manager

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OVSManagerService

    public OVSManagerService()

Method Detail

### getLogManagement

    public static LogManagement getLogManagement()

  get Log Manageer
  Returns:
    LogManagement

### getVirtualMachineManagement

    public static VirtualMachineManagement getVirtualMachineManagement()

  get virtual machine manager
  Returns:
    VirtualMachineManagement

### getServerPoolManagement

    public static ServerPoolManagement getServerPoolManagement()

  get serverpool manager
  Returns:
    ServerPoolManagement

### getResourceManagement

    public static ResourceManagement getResourceManagement()

  get resource manager
  Returns:
    ResourceManagement

### getNeoResourceManagement

    public static NeoResourceManagement getNeoResourceManagement()

  get new resource manager
  Returns:
    NeoResourceManagement

### getLifecycleManagement

    public static LifecycleManagement getLifecycleManagement()

  get lifecycle manager
  Returns:
    LifecycleManagement

### getPluginManagement

    public static PluginManagement getPluginManagement()

  get plugin management instance
  Returns:
    PluginManagement

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.